Update an agent
Use this endpoint to update an agent's name, phone number, or other parameters.
Only the provided parameters will be updated, and others won't be removed or changed.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
model_id
Agent ID. You can find it on the agent’s page in your dashboard.
Request
This endpoint expects an object.
agent
description
Agent description.
end_call_reasons
Custom conditions that trigger automatic call termination. When the AI agent detects one of these conditions during a conversation, it will say a brief farewell and end the call.
external_webhook_url
URL of the webhook that should receive data after the call, such as the transcript.
is_recording
Whether the conversation should be recorded.
max_duration
name
Agent name.
phone_number
The phone number attached to the agent.
Response
200
status
Whether the request was successful.
response
details